自动化搭建NFS服务器并共享目录

脚本:

#!/bin/bash
echo "1. check network is ok?"
ping -c1 172.25.254.30 &> /dev/null
if [ $? -eq 0 ];then
        echo "Network ok"
else
        echo "Network not ok"
        exit 1
fi

echo "2. Check Selinux and Firewalld"
setenforce 0 &> /dev/null
echo "Selinux set Disable"
systemctl stop firewalld &> /dev/null
echo "Firewalld stop"

echo "3. Check rpcbind installed"
rpm -q rpcbind &> /dev/null
if [ $? -eq 0 ];then
        echo "Rpcbind has installed"
else
        dnf install rpcbind -y &> /dev/null && echo "Rpcbind install success" || echo "Rpcbind install failed"; exit 1

fi

echo "4. Create Share Directory and Share it"
read -p "---pleas input share directory: " dir
if [ -e $dir ];then
        echo "Share Directory $dir Create success"
fi

# All user can write, Only owner and root can delete.
chmod 1777 $dir
read -p "---pleas input share subnet: " subnet
read -p "---pleas input share premission(ro/rw): " premission

# Edit nfs configure file
# ShareDir SubNet(premission)
echo "Edit nfs configure file /etc/exports"
read -p "input 1 -> clear config, default is add: " choice
if [ $choice -eq 1 ];then
        > /etc/exports
fi
cat >> /etc/exports <<EOF
$dir $subnet($premission)
EOF

echo "5. Start and enable service"

echo "Check nfs-server is start?"
systemctl status nfs-server.service | grep active &> /dev/null
if [ $? -eq 0 ];then
        systemctl restart nfs-server
        echo "NFS restart success"
else
        systemctl start rpcbind
        systemctl start nfs-server
        systemctl enable rpcbind
        systemctl enable nfs-server
fi

echo "6. Check Client can success Share Directory?"
showmount -e 172.25.254.30 | grep $dir &> /dev/null
[ $? -eq 0 ] && echo "Share success" || echo "Share failed"; exit 1

echo "NFS is OK , Thank you use it"

 

  • 0
    点赞
  • 0
    收藏
    觉得还不错? 一键收藏
  • 打赏
    打赏
  • 0
    评论

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
评论
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包

打赏作者

Horizon_carry

你的鼓励将是我创作的最大动力

¥1 ¥2 ¥4 ¥6 ¥10 ¥20
扫码支付:¥1
获取中
扫码支付

您的余额不足,请更换扫码支付或充值

打赏作者

实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值